This job view page is being replaced by Spyglass soon. Check out the new job view.
PRjustaugustus: debian-base: Build buster-v1.6.0 image
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2021-04-08 22:27
Elapsed5m42s
Revision2dbb1e5a6d4d7ff6d9ef553591176a2b3fef2ab9
Refs 1991

No Test Failures!


Error lines from build-log.txt

... skipping 618 lines ...
time="2021-04-08T22:33:04Z" level=warning msg="Line 6 matches expected regexp 'v((([0-9]+)\\.([0-9]+)\\.([0-9]+)(?:-([0-9a-zA-Z-]+(?:\\.[0-9a-zA-Z-]+)*))?)(?:\\+([0-9a-zA-Z-]+(?:\\.[0-9a-zA-Z-]+)*))?)-\\d+', but not version 'v1.16.1-1':\n    IMAGE_VERSION: 'v1.16.1-canary-1'"
time="2021-04-08T22:33:04Z" level=warning msg="Line 4 matches expected regexp 'v(0|[1-9]\\d*)\\.(0|[1-9]\\d*)\\.(0|[1-9]\\d*)(?:-((?:0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\\.(?:0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\\+([0-9a-zA-Z-]+(?:\\.[0-9a-zA-Z-]+)*))?', but not version 'v1.2.0':\n    KUBE_CROSS_VERSION: 'v1.16.1-1'"
time="2021-04-08T22:33:04Z" level=warning msg="Line 4 matches expected regexp '(0|[1-9]\\d*)\\.(0|[1-9]\\d*)\\.(0|[1-9]\\d*)(?:-((?:0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\\.(?:0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\\+([0-9a-zA-Z-]+(?:\\.[0-9a-zA-Z-]+)*))?', but not version '1.8.5':\n    IMAGE_VERSION: 'buster-v1.5.0'"
time="2021-04-08T22:33:04Z" level=warning msg="Line 5 matches expected regexp '(0|[1-9]\\d*)\\.(0|[1-9]\\d*)\\.(0|[1-9]\\d*)(?:-((?:0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\\.(?:0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\\+([0-9a-zA-Z-]+(?:\\.[0-9a-zA-Z-]+)*))?', but not version '1.8.5':\n    DEBIAN_BASE_VERSION: 'buster-v1.4.0'"
time="2021-04-08T22:33:04Z" level=warning msg="Line 22 matches expected regexp 'IMAGE_VERSION\\ \\?=\\ [a-zA-Z]+\\-v((([0-9]+)\\.([0-9]+)\\.([0-9]+)(?:-([0-9a-zA-Z-]+(?:\\.[0-9a-zA-Z-]+)*))?)(?:\\+([0-9a-zA-Z-]+(?:\\.[0-9a-zA-Z-]+)*))?)', but not version 'buster-v1.6.0':\nIMAGE_VERSION ?= buster-v1.5.0"
time="2021-04-08T22:33:04Z" level=warning msg="Line 4 matches expected regexp '[a-zA-Z]+\\-v((([0-9]+)\\.([0-9]+)\\.([0-9]+)(?:-([0-9a-zA-Z-]+(?:\\.[0-9a-zA-Z-]+)*))?)(?:\\+([0-9a-zA-Z-]+(?:\\.[0-9a-zA-Z-]+)*))?)', but not version 'buster-v1.6.0':\n    IMAGE_VERSION: 'buster-v1.5.0'"
time="2021-04-08T22:33:04Z" level=error msg="dependencies.yaml indicates that k8s.gcr.io/build-image/debian-base should be at version buster-v1.6.0, but the following files didn't match:\nimages/build/debian-base/Makefile\nimages/build/debian-base/variants.yaml\n"
time="2021-04-08T22:33:04Z" level=fatal msg="Dependencies are not in sync"
make: *** [Makefile:49: verify-dependencies] Error 1